package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 告警保护方案-保护方案设置
 */
public class ProtectionPlanVo {
    /** 设备 */
    private String deviceId;

    /** 点位 */
    private String point;

    /** 点位名称 */
    private String pointName;

    /** 设置值 */
    private BigDecimal value;

    /** 设备类型 */
    private String deviceCategory;

    /** 设备类型名称 */
    private String categoryName;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getPoint() {
        return point;
    }

    public void setPoint(String point) {
        this.point = point;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public BigDecimal getValue() {
        return value;
    }

    public void setValue(BigDecimal value) {
        this.value = value;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }
}
